Package org.apache.wiki

## Class LinkCollector

- java.lang.Object
- - org.apache.wiki.LinkCollector

All Implemented Interfaces:
  `StringTransmutator`

    public class LinkCollector
    extends java.lang.Object
    implements StringTransmutator

Just a simple class collecting all the links that come in.

### Constructor Summary

Constructors
`LinkCollector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getLinks()` Returns a List of Strings representing links.
`java.lang.String` `mutate​(Context context, java.lang.String in)` Returns a changed String, suitable for Wiki context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinkCollector

    public LinkCollector()

### Method Detail

#### getLinks

    public java.util.List<java.lang.String> getLinks()

Returns a List of Strings representing links.

Returns:
  the link collection

#### mutate

    public java.lang.String mutate​(Context context,
                                   java.lang.String in)

Returns a changed String, suitable for Wiki context.

Specified by:
  `mutate` in interface `StringTransmutator`
Parameters:
  `context` - WikiContext in which mutation is to be done
  `in` - The source string.
Returns:
  The mutated string.